# HierarchicalElement

interface HierarchicalElement : Element

Represents an element which belongs to some hierarchy.

#### Since

1.0-milestone-5

#### Inheritors

GradleProject
IdeaProject
IdeaModule
HierarchicalEclipseProject

## Functions

getChildren
Link copied to clipboard
abstract fun getChildren(): DomainObjectSet<out HierarchicalElement>
Returns the child elements, or the empty set if there are no child elements.
getDescription
Link copied to clipboard
abstract fun getDescription(): @Nullable String
getName
Link copied to clipboard
abstract fun getName(): String
getParent
Link copied to clipboard
@Nullable
abstract fun getParent(): @Nullable HierarchicalElement
Returns the parent of this element, or `null` if there is no parent.